## PetApi

This is the PetApi API

## getPetById

Returns a pet based on ID

### URL

`http://petstore.swagger.wordnik.com/api/pet.{format}/{petId}`

### HTTP Method

`GET`

### Response Type

Pet

### Parameters

petId : string(path)

ID of pet that needs to be fetched

## addPet

### URL

`http://petstore.swagger.wordnik.com/api/pet.{format}`

### HTTP Method

`POST`

### Response Type

### Parameters

body :
Pet(body)

Pet object that needs to be added to the store

## updatePet

### URL

`http://petstore.swagger.wordnik.com/api/pet.{format}`

### HTTP Method

`PUT`

### Response Type

### Parameters

body :
Pet(body)

Pet object that needs to be updated in the store

## findPetsByStatus

Multiple status values can be provided with comma seperated strings

### URL

`http://petstore.swagger.wordnik.com/api/pet.{format}/findByStatus`

### HTTP Method

`GET`

### Response Type

List[Pet]

### Parameters

status : string(query)

Status values that need to be considered for filter

## findPetsByTags

Muliple tags can be provided with comma seperated strings. Use tag1, tag2, tag3 for testing.

### URL

`http://petstore.swagger.wordnik.com/api/pet.{format}/findByTags`

### HTTP Method

`GET`

### Response Type

List[Pet]

### Parameters

tags : string(query)

Tags to filter by